from dataclasses import dataclass


@dataclass(frozen=True)
class QueriesEnum:
    GET_LATEST_MESSAGES: str = "query getLatestMessages($nextToken: String) {\n  messages(nextToken: $nextToken) {\n    nextToken\n    count\n    items {\n      ...MessageDetails\n      __typename\n    }\n    __typename\n  }\n}\n\nfragment MessageDetails on Message {\n  srcUaAddress\n  dstUaAddress\n  updated\n  created\n  srcChainId\n  dstChainId\n  dstTxHash\n  dstTxError\n  srcTxHash\n  srcBlockHash\n  srcBlockNumber\n  srcUaNonce\n  status\n  adapterParams\n}"
    GET_MESSAGE_BY_ANY_HASH: str = "query getMessageByAnyHash($hash: String!) {\n  dstTx: messagesByDstTxHash(dstTxHash: $hash) {\n    items {\n      ...MessageDetails\n      __typename\n    }\n    __typename\n  }\n  srcTx: messagesBySrcTxHash(srcTxHash: $hash) {\n    items {\n      ...MessageDetails\n      __typename\n    }\n    __typename\n  }\n}\n\nfragment MessageDetails on Message {\n  srcUaAddress\n  dstUaAddress\n  updated\n  created\n  srcChainId\n  dstChainId\n  dstTxHash\n  dstTxError\n  srcTxHash\n  srcBlockHash\n  srcBlockNumber\n  srcUaNonce\n  status\n  adapterParams\n}"
    GET_MESSAGE_BY_PARAMS: str = "query getMessageChainIdsSrcUAAddressAndSrcOutboundNonce($srcChainId: Int!, $dstChainId: Int!, $srcUaAddress: String!, $srcUaNonce: Int!, $dstUaAddress: String) {\n  message(\n    srcChainId: $srcChainId\n    dstChainId: $dstChainId\n    srcUaAddress: $srcUaAddress\n    srcUaNonce: $srcUaNonce\n    dstUaAddress: $dstUaAddress\n  ) {\n    ...MessageDetails\n    __typename\n  }\n}\n\nfragment MessageDetails on Message {\n  srcUaAddress\n  dstUaAddress\n  updated\n  created\n  srcChainId\n  dstChainId\n  dstTxHash\n  dstTxError\n  srcTxHash\n  srcBlockHash\n  srcBlockNumber\n  srcUaNonce\n  status\n  adapterParams\n}"
